Kerbal Space Program - Bug #24884

When Loading in a save, any landing legs will proceed to bounce the landed ship, making the ship
uncontrollable, then trying to switch crashes the game.

02/18/2020 03:07 PM - PhotonG

Status: Need More Info Start date: 02/18/2020
Severity: Low % Done: 0%
Assignee: Robert.Keech
Category: Physics
Target version:
Version: 1.9.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

So it was my first time landing on Duna and | was using a pre-made ship (
https://steamcommunity.com/sharedfiles/filedetails/?id=1419772050) and after | landed | saved just in case and | accidentally broke
the solar panel so | needed to reload, then coming back, my ship bounced and my game crashed when | tried to switch. Here is my
Reddit post with video proof:
https://www.reddit.com/r/KerbalSpaceProgram/comments/f3liag/uhhhhhhhhhhhh_bug_in_19_ship_isnt_mine/

History

#1 - 02/20/2020 01:26 AM - Anth12

Interesting. so first it does the little hop which is annoying but not unexpected. then it stabilizes and then without any interaction the landing legs lose
their springs
and just drop onto their minimum limits which causes it to propel into the air?

#2 - 02/20/2020 01:54 AM - Anth12

Can you attach the craft file from the save please? getting it from steam is inconvenient when | do all my testing in a non steam version

#3 - 02/20/2020 02:16 AM - Anth12
- File S-Laythe Explorer.craft added

#4 - 02/20/2020 02:16 AM - Anth12

Cant replicate the problem, but it looks familiar.

#5 - 03/18/2020 04:54 PM - Robert.Keech

- Status changed from New to Need More Info

Hey, so i've been trying to repro the issue but have so far been unable too. If you could provide the affected save file that would be great thanks.

#6 - 03/18/2020 04:54 PM - Robert.Keech

- Assignee set to Robert.Keech

Files

S-Laythe Explorer.craft 824 KB 02/20/2020 Anth12
